Package org.apache.commons.imaging.formats.jpeg.segments

# Class SofnSegment

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment
org.apache.commons.imaging.formats.jpeg.segments.SofnSegment

public final class SofnSegment extends AbstractSegment

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SofnSegment.Component`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `height`
  `final int`
  `numberOfComponents`
  `final int`
  `precision`
  `final int`
  `width`

  ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `length, marker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SofnSegment(int marker, byte[] segmentData)`
  `SofnSegment(int marker, int markerLength, InputStream is)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SofnSegment.Component[]`
  `getComponents()`
  Returns a copy of all the components.
  `SofnSegment.Component`
  `getComponents(int index)`
  Returns the component at the specified index.
  `String`
  `getDescription()`
  Gets the description.

  ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `dump, getSegmentType, toString`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### width

    public final int width

  - ### height

    public final int height

  - ### numberOfComponents

    public final int numberOfComponents

  - ### precision

    public final int precision

- ## Constructor Details

  - ### SofnSegment

    public SofnSegment(int marker, byte[] segmentData) throws IOException, ImagingException
    Throws:
      `IOException`
      `ImagingException`

  - ### SofnSegment

    public SofnSegment(int marker, int markerLength, InputStream is) throws IOException, ImagingException
    Throws:
      `IOException`
      `ImagingException`

- ## Method Details

  - ### getComponents

    public SofnSegment.Component[] getComponents()
    Returns a copy of all the components.
    Returns:
      the components

  - ### getComponents

    public SofnSegment.Component getComponents(int index)
    Returns the component at the specified index.
    Parameters:
      `index` - the array index
    Returns:
      the component

  - ### getDescription

    public String getDescription()
    Description copied from class: `AbstractSegment`
    Gets the description.
    Specified by:
      `getDescription` in class `AbstractSegment`
    Returns:
      the description.